import 'package:angular_router/angular_router.dart';

import 'path.dart';
import '../component/snack_component/snack_component.template.dart' as snack_component_template;
import '../component/layout_component/layout_component.template.dart' as layout_component_template;

export 'path.dart';

class AppRouter{
  static final snack = RouteDefinition(
    routePath: AppPath.snack,
    component: snack_component_template.SnackComponentNgFactory,
    useAsDefault: true
  );

  static final layout = RouteDefinition(
    routePath: AppPath.layout,
    component: layout_component_template.LayoutComponentNgFactory,
  );

  static final all = <RouteDefinition>[
    snack,
    layout
  ];
}